<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://asp.net/ApplicationServices/v200" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="ProfileService" targetNamespace="http://asp.net/ApplicationServices/v200" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://asp.net/ApplicationServices/v200/Imports">
      <xsd:import schemaLocation="http://localhost:3846/ApNavSilverlightSvcAps.Web/ProfileService.svc?xsd=xsd0" namespace="http://asp.net/ApplicationServices/v200" />
      <xsd:import schemaLocation="http://localhost:3846/ApNavSilverlightSvcAps.Web/ProfileService.svc?xsd=xsd1" namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import schemaLocation="http://localhost:3846/ApNavSilverlightSvcAps.Web/ProfileService.svc?xsd=xsd2" namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
      <xsd:import schemaLocation="http://localhost:3846/ApNavSilverlightSvcAps.Web/ProfileService.svc?xsd=xsd3" namespace="http://schemas.datacontract.org/2004/07/System.Web.ApplicationServices" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="ProfileService_GetPropertiesForCurrentUser_InputMessage">
    <wsdl:part name="parameters" element="tns:GetPropertiesForCurrentUser" />
  </wsdl:message>
  <wsdl:message name="ProfileService_GetPropertiesForCurrentUser_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetPropertiesForCurrentUserResponse" />
  </wsdl:message>
  <wsdl:message name="ProfileService_GetAllPropertiesForCurrentUser_InputMessage">
    <wsdl:part name="parameters" element="tns:GetAllPropertiesForCurrentUser" />
  </wsdl:message>
  <wsdl:message name="ProfileService_GetAllPropertiesForCurrentUser_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetAllPropertiesForCurrentUserResponse" />
  </wsdl:message>
  <wsdl:message name="ProfileService_SetPropertiesForCurrentUser_InputMessage">
    <wsdl:part name="parameters" element="tns:SetPropertiesForCurrentUser" />
  </wsdl:message>
  <wsdl:message name="ProfileService_SetPropertiesForCurrentUser_OutputMessage">
    <wsdl:part name="parameters" element="tns:SetPropertiesForCurrentUserResponse" />
  </wsdl:message>
  <wsdl:message name="ProfileService_GetPropertiesMetadata_InputMessage">
    <wsdl:part name="parameters" element="tns:GetPropertiesMetadata" />
  </wsdl:message>
  <wsdl:message name="ProfileService_GetPropertiesMetadata_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetPropertiesMetadataResponse" />
  </wsdl:message>
  <wsdl:portType name="ProfileService">
    <wsdl:operation name="GetPropertiesForCurrentUser">
      <wsdl:input wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/GetPropertiesForCurrentUser" message="tns:ProfileService_GetPropertiesForCurrentUser_InputMessage" />
      <wsdl:output wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/GetPropertiesForCurrentUserResponse" message="tns:ProfileService_GetPropertiesForCurrentUser_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetAllPropertiesForCurrentUser">
      <wsdl:input wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/GetAllPropertiesForCurrentUser" message="tns:ProfileService_GetAllPropertiesForCurrentUser_InputMessage" />
      <wsdl:output wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/GetAllPropertiesForCurrentUserResponse" message="tns:ProfileService_GetAllPropertiesForCurrentUser_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="SetPropertiesForCurrentUser">
      <wsdl:input wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/SetPropertiesForCurrentUser" message="tns:ProfileService_SetPropertiesForCurrentUser_InputMessage" />
      <wsdl:output wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/SetPropertiesForCurrentUserResponse" message="tns:ProfileService_SetPropertiesForCurrentUser_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetPropertiesMetadata">
      <wsdl:input wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/GetPropertiesMetadata" message="tns:ProfileService_GetPropertiesMetadata_InputMessage" />
      <wsdl:output wsaw:Action="http://asp.net/ApplicationServices/v200/ProfileService/GetPropertiesMetadataResponse" message="tns:ProfileService_GetPropertiesMetadata_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="BasicHttpBinding_ProfileService" type="tns:ProfileService">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetPropertiesForCurrentUser">
      <soap:operation soapAction="http://asp.net/ApplicationServices/v200/ProfileService/GetPropertiesForCurrentUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAllPropertiesForCurrentUser">
      <soap:operation soapAction="http://asp.net/ApplicationServices/v200/ProfileService/GetAllPropertiesForCurrentUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetPropertiesForCurrentUser">
      <soap:operation soapAction="http://asp.net/ApplicationServices/v200/ProfileService/SetPropertiesForCurrentUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPropertiesMetadata">
      <soap:operation soapAction="http://asp.net/ApplicationServices/v200/ProfileService/GetPropertiesMetadata" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ProfileService">
    <wsdl:port name="BasicHttpBinding_ProfileService" binding="tns:BasicHttpBinding_ProfileService">
      <soap:address location="http://localhost:3846/ApNavSilverlightSvcAps.Web/ProfileService.svc" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>